local _core = require("core")
local _logger = require("logging")
local _storage = require("storage")

_logger.info("■■■■■■■■■■  WiFi Device Generator Plugin teardown  ■■■■■■■■■■")

local gateway_id = _core.get_gateway().id
local devices = _core.get_devices()
if devices then
    for _, dev in ipairs(devices) do
        if dev.gateway_id == gateway_id then
            local items = _core.get_items_by_device_id(dev.id)
            if items then
                for _, item in ipairs(items) do
                    if item.info.poll_interval then
                        loadfile("HUB:ezlo.wifi_device_generator/scripts/modules/polling_manager") {
                            action = "delete",
                            item_id = item.id
                        }

                    end

                end

            end

        end

    end

end

_logger.info("Remove all devices")
_core.remove_gateway_devices(_core.get_gateway().id)

_logger.info("Clear all storage")
_storage.delete_all()
